# Class TableCone

java.lang.Object
uk.ac.starlink.ttools.task.ConsumerTask
uk.ac.starlink.ttools.task.TableCone

All Implemented Interfaces:
  `uk.ac.starlink.task.Task`

public class TableCone extends ConsumerTask
Executes a single cone-search-like query to an external DAL service.

Since:
  18 Jun 2019
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TableCone()`

## Method Summary

Modifier and Type
Method
Description
`TableProducer`
`createProducer(uk.ac.starlink.task.Environment env)`
Returns an object which can produce the effective output table which will be consumed by this task.
`uk.ac.starlink.task.Parameter<String>`
`getFormatParameter()`
Returns the parameter used to acquire the DAL requested data format.
`uk.ac.starlink.task.Parameter<Double>`
`getLatitudeParameter()`
Returns the parameter used to acquire the latitude in degrees.
`uk.ac.starlink.task.Parameter<Double>`
`getLongitudeParameter()`
Returns the parameter used to acquire the longitude in degrees.
`uk.ac.starlink.task.Parameter<Double>`
`getRadiusDegParameter()`
Returns the parameter used to acquire the search radius in degrees.
`uk.ac.starlink.task.Parameter<ConeServiceType>`
`getServiceTypeParameter()`
Returns the parameter used to acquire the service type.
`uk.ac.starlink.task.Parameter<URL>`
`getServiceUrlParameter()`
Returns the parameter used to acquire the service URL.
`uk.ac.starlink.task.Parameter<SkySystem>`
`getSkySystemParameter()`
Returns the parameter used to acquire the sky system.
`uk.ac.starlink.task.Parameter<String>`
`getVerbosityParameter()`
Returns the parameter used to acquire the requested verbosity.

### Methods inherited from class ConsumerTask

`createExecutable, createProducer, getIdentity, getOutputMode, getParameterList, getParameters, getPurpose`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TableCone

public TableCone()

## Method Details

### createProducer

public TableProducer createProducer(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Description copied from class: `ConsumerTask`
Returns an object which can produce the effective output table which will be consumed by this task. The table produced by the resulting producer can be fed to the `ConsumerTask.getIdentity(StarTable)` method.

Specified by:
  `createProducer` in class `ConsumerTask`
Parameters:
  `env` - execution environment
Returns:
  table producer
Throws:
  `uk.ac.starlink.task.TaskException`

### getFormatParameter

public uk.ac.starlink.task.Parameter<String> getFormatParameter()
Returns the parameter used to acquire the DAL requested data format.

Returns:
  format parameter

### getVerbosityParameter

public uk.ac.starlink.task.Parameter<String> getVerbosityParameter()
Returns the parameter used to acquire the requested verbosity.

Returns:
  verbosity parameter

### getServiceUrlParameter

public uk.ac.starlink.task.Parameter<URL> getServiceUrlParameter()
Returns the parameter used to acquire the service URL.

Returns:
  service URL parameter

### getServiceTypeParameter

public uk.ac.starlink.task.Parameter<ConeServiceType> getServiceTypeParameter()
Returns the parameter used to acquire the service type.

Returns:
  service type parameter

### getLongitudeParameter

public uk.ac.starlink.task.Parameter<Double> getLongitudeParameter()
Returns the parameter used to acquire the longitude in degrees.

Returns:
  longitude parameter

### getLatitudeParameter

public uk.ac.starlink.task.Parameter<Double> getLatitudeParameter()
Returns the parameter used to acquire the latitude in degrees.

Returns:
  latitude parameter

### getRadiusDegParameter

public uk.ac.starlink.task.Parameter<Double> getRadiusDegParameter()
Returns the parameter used to acquire the search radius in degrees.

Returns:
  radius parameter

### getSkySystemParameter

public uk.ac.starlink.task.Parameter<SkySystem> getSkySystemParameter()
Returns the parameter used to acquire the sky system.

Returns:
  skysys parameter